Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class ShortHolder

    java.lang.Object
      org.omg.CORBA.ShortHolder

All Implemented Interfaces:
  Streamable

    public final class ShortHolder

extends Object
implements Streamable

The Holder for `Short`. For more information on Holder files, see "Generated Files: Holder Files".

short that is used to store "out" and "inout" parameters in IDL operations. If an IDL operation signature has an IDL `short` as an "out" or "inout" parameter, the programmer must pass an instance of `ShortHolder` as the corresponding parameter in the method invocation; for "inout" parameters, the programmer must also fill the "in" value to be sent to the server. Before the method invocation returns, the ORB will fill in the value corresponding to the "out" value returned from the server.

If `myShortHolder` is an instance of `ShortHolder`, the value stored in its `value` field can be accessed with `myShortHolder.value`.

Since:
  JDK1.2

Field Summary
`short` | `value` The `short` value held by this `ShortHolder` object.

Constructor Summary
`ShortHolder()` Constructs a new `ShortHolder` object with its `value` field initialized to `0`.
`ShortHolder(short initial)` Constructs a new `ShortHolder` object with its `value` field initialized to the given `short`.

Method Summary
`void` | `_read(InputStream input)` Reads from `input` and initalizes the value in this `ShortHolder` object with the unmarshalled data.
`TypeCode` | `_type()` Returns the TypeCode corresponding to the value held in this `ShortHolder` object.
`void` | `_write(OutputStream output)` Marshals to `output` the value in this `ShortHolder` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public short value

  The `short` value held by this `ShortHolder` object.

Constructor Detail

### ShortHolder

    public ShortHolder()

  Constructs a new `ShortHolder` object with its `value` field initialized to `0`.

### ShortHolder

    public ShortHolder(short initial)

  Constructs a new `ShortHolder` object with its `value` field initialized to the given `short`.

  Parameters:
    `initial` - the `short` with which to initialize the `value` field of the newly-created `ShortHolder` object

Method Detail

### _read

    public void _read(InputStream input)

  Reads from `input` and initalizes the value in this `ShortHolder` object with the unmarshalled data.

  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `input` - the InputStream containing CDR formatted data from the wire.

### _write

    public void _write(OutputStream output)

  Marshals to `output` the value in this `ShortHolder` object.

  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `output` - the OutputStream which will contain the CDR formatted data.

### _type

    public TypeCode _type()

  Returns the TypeCode corresponding to the value held in this `ShortHolder` object.

  Specified by:
    `_type` in interface `Streamable`
  Returns:
    the TypeCode of the value held in this `ShortHolder` object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.